Skip to content

Adaptive-resolution history for a region

GET
/api/v1/platforms/{platform}/regions/{region}/history

Authorizations

or
session

Browser session cookie.

Type
API Key (cookie: bp_session)
or
apiKey

User API key: Authorization: Bearer bpi_...

Type
HTTP (bearer)

Parameters

Path Parameters

platform*
Type
string
Required
Valid values
"Windows""EGS""GRDK"
region*

Region id, e.g. eu-central-1

Type
string
Required

Query Parameters

from

Window start (epoch ms); defaults to 24h before 'to'

Type
integer
Format
"int64"
to

Window end (epoch ms); defaults to now

Type
integer
Format
"int64"

Responses

OK

application/json
JSON
{
  
"$schema": "https://bpincentives.com/schemas/HistoryRangePayload.json",
  
"bucketMs": 0,
  
"firstAt": 0,
  
"lastAt": 0,
  
"platform": "string",
  
"points": [
  
],
  
"region": "string",
  
"resolution": "string"
}

Playground

Variables
Key
Value

Samples

Powered by VitePress OpenAPI